From: "Luca Barbato" <lu_zero@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-block/f3/
Date: Sun, 31 Dec 2017 19:20:24 +0000 (UTC) [thread overview]
Message-ID: <1514748019.9d35287e739457767d98e80cb827633a2d6177d7.lu_zero@gentoo> (raw)
commit: 9d35287e739457767d98e80cb827633a2d6177d7
Author: Luca Barbato <lu_zero <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 31 19:20:08 2017 +0000
Commit: Luca Barbato <lu_zero <AT> gentoo <DOT> org>
CommitDate: Sun Dec 31 19:20:19 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d35287e
sys-block/f3: Version bump
Package-Manager: Portage-2.3.19, Repoman-2.3.6
sys-block/f3/Manifest | 1 +
sys-block/f3/f3-7.0.ebuild | 68 ++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/sys-block/f3/Manifest b/sys-block/f3/Manifest
index 8cfdc128e86..5fd5b809e6c 100644
--- a/sys-block/f3/Manifest
+++ b/sys-block/f3/Manifest
@@ -1 +1,2 @@
DIST f3-6.0.tar.gz 45355 BLAKE2B c06f5ea3285f46197af05e7c4a75dc1e94b28acc14ec4f8da6b3fbeaec723cfaa420fa2542573a1cd5586ea50e27c3e8010ecd88ecfeb7b9ad28591f072c1377 SHA512 7960d01d7a2bd01a236006fcb4081cc7e2c0be674bc3e28137f00ea3f558a04eed47f10e7d3795c219943092ee43fb3189e19ff1925a7ed4ff5102130d65a470
+DIST f3-7.0.tar.gz 67492 BLAKE2B 6b6882958ca831a26cd815635a563dd1bac9c93103fd6e9a2a4040b6ea3725395be96d0cbef9d7e01441402edf63a63110be41f5db559eb5fa85ac82a101751d SHA512 217348c3911995143e2d1f777ff6038ffd541f6868d58da9ca0a702610377f26eac7aafcd993d9b410b4d5a6d27d2c4fa8020b665beee7c2f760dc293a63c41f
diff --git a/sys-block/f3/f3-7.0.ebuild b/sys-block/f3/f3-7.0.ebuild
new file mode 100644
index 00000000000..a7890b6371b
--- /dev/null
+++ b/sys-block/f3/f3-7.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Utilities to detect broken or counterfeit flash storage"
+HOMEPAGE="http://oss.digirati.com.br/f3/ https://github.com/AltraMayor/f3"
+
+PATCHES=(
+)
+
+if [[ ${PV} == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/AltraMayor/${PN}.git"
+
+ PATCHES=()
+
+ inherit git-r3
+else
+ SRC_URI="https://github.com/AltraMayor/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+IUSE="extra"
+
+DEPEND="extra? (
+ sys-block/parted
+ virtual/udev
+ )"
+
+RDEPEND=""
+
+DOCS=( changelog README.rst )
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's:-ggdb::' \
+ -e 's:^PREFIX =:PREFIX ?=:' \
+ Makefile || die
+
+ tc-export CC
+
+ append-cflags -fgnu89-inline # https://github.com/AltraMayor/f3/issues/34
+}
+
+src_compile() {
+ default
+
+ if use extra; then
+ emake V=1 extra
+ fi
+}
+
+src_install() {
+ emake PREFIX="${ED%/}/usr" install
+
+ if use extra; then
+ emake PREFIX="${ED%/}/usr" install-extra
+ fi
+
+ dodoc "${DOCS[@]}"
+}
next reply other threads:[~2017-12-31 19:20 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-31 19:20 Luca Barbato [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-28 7:53 [gentoo-commits] repo/gentoo:master commit in: sys-block/f3/ Viorel Munteanu
2024-09-18 17:38 Petr Vaněk
2023-10-09 16:21 Arthur Zamarin
2023-10-09 16:21 Arthur Zamarin
2023-07-15 0:53 Conrad Kostecki
2023-07-15 0:53 Conrad Kostecki
2021-11-07 5:17 Sam James
2021-05-08 18:44 Sam James
2021-05-08 18:41 Sam James
2020-11-01 23:41 Thomas Deutschmann
2020-06-26 20:21 Thomas Deutschmann
2020-02-08 16:25 David Seifert
2019-12-31 3:17 Thomas Deutschmann
2019-12-31 3:17 Thomas Deutschmann
2019-06-24 21:57 Thomas Deutschmann
2018-07-31 17:13 Thomas Deutschmann
2018-07-31 17:13 Thomas Deutschmann
2016-11-27 21:08 Thomas Deutschmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1514748019.9d35287e739457767d98e80cb827633a2d6177d7.lu_zero@gentoo \
--to=lu_zero@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox